Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class PropertyPathFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.PropertyPathFullBinding

All Implemented Interfaces:
  java.beans.PropertyChangeListener

    public class PropertyPathFullBinding
    extends AbstractFullBinding

A property path full binding

Field Summary

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Method Summary
`void` | `bind()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `rebind()`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Method Detail

### bind

    public void bind()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

### rebind

    public void rebind()

### unbind

    public void unbind()

Groovy Documentation